﻿Imports WMPLib
Imports System.IO
Imports System.ComponentModel

Public Class MiniWMP
    Private PL As New BindingList(Of PlayList)
    Private ML As New BindingList(Of Media)

    Private Sub Form1_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        Me.Text &= " (Bitte warten, Playlisten werden geladen...)"
        Me.Refresh()
        Dim _Playlists = WMP.playlistCollection.getAll()
        For i = 0 To _Playlists.count - 1
            If _Playlists.Item(i).count > 0 Then PL.Add(New PlayList With {.List = _Playlists.Item(i), .Name = _Playlists.Item(i).name})
        Next
        ThePlayList.ValueMember = "Name"
        ThePlayList.DataSource = PL.ToList
        Me.Text = "Mini WMP"
    End Sub

    Private Sub ThePlayList_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ThePlayList.SelectedIndexChanged
        ML.Clear()
        Dim _Playlist = CType(ThePlayList.SelectedItem, PlayList)
        For i = 0 To _Playlist.List.count - 1
            If _Playlist.List.Item(i).duration > 0 Then ML.Add(New Media With {.List = _Playlist.List.Item(i), .Name = _Playlist.List.Item(i).name})
        Next
        TheSongList.ValueMember = "Name"
        TheSongList.DataSource = ML.ToList
    End Sub

    Private Sub TheSongList_SelectedIndexChanged(sender As Object, e As EventArgs) Handles TheSongList.SelectedIndexChanged
        If TheSongList.SelectedItem Is Nothing Then Return
        Dim song = CType(TheSongList.SelectedItem, Media).List
        WMP.URL = song.sourceURL
    End Sub
End Class

Public Class PlayList
    Public Property List As IWMPPlaylist
    Public Property Name As String
End Class

Public Class Media
    Public Property List As IWMPMedia
    Public Property Name As String
End Class
